API Reference / Authentication Inspect effective OAuth authority Returns the scopes, permissions, and entitlements that the OAuth access token gives to the calling application. Supply targetType and targetId together to resolve authority for one user, team, organisation, or event. Returns invalid_token when the access token is not valid, and service_unavailable when the authority service is not configured.
GET /api/v2/auth/context
Parameters # Property Type Location Description targetTypestringquery- targetIdstringquery-
Request # curl --request GET 'https://strave.gg/api/v2/auth/context' \
--header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'Response # 200Response for status 200
application/json 400Response for status 400
application/json 401Response for status 401
application/json 403Response for status 403
application/json 404Response for status 404
application/json 409Response for status 409
application/json 412Response for status 412
application/json 428Response for status 428
application/json 429Response for status 429
application/json 500Response for status 500
application/json 503Response for status 503
application/json Property Type Description dataobjectRequired - └ requestIdstringRequired - └ applicationIdstringRequired - └ actorobject | objectRequired - └ ownerobjectRequired - └ typestringRequired - └ idstringRequired - └ installationobject | nullRequired - └ scopesstring[]Required - └ permissionsstring[]Required - └ entitlementsstring[]Required -